/// 指标敏感度
export enum eMetricOps {
	Unlimited = 1,
	Ordinary = 2,
	Important = 3,
	Core = 4,
}
export const eMetrics_Ops = {
	[eMetricOps.Unlimited]: '限制',
	[eMetricOps.Ordinary]: '普通',
	[eMetricOps.Important]: '重要',
	[eMetricOps.Core]: '核心',
} as const;

export const eMetrics_Ops_Color = {
	[eMetricOps.Unlimited]: { fontColor: '#0958d9', bgColor: '#e6f4ff', borderColor: '#91caff' },
	[eMetricOps.Ordinary]: { fontColor: '#000000e0', bgColor: '#fafafa', borderColor: '#d9d9d9' },
	[eMetricOps.Important]: { fontColor: '#4fd40d', bgColor: '#e8ffee', borderColor: '#97ff96' },
	[eMetricOps.Core]: { fontColor: '#d4380d', bgColor: '#fff2e8', borderColor: '#ffbb96' },
} as const;

/// 维度下钻
export enum eDrillingOps {
	Department = 0,
	User = 1,
}
export const eDrilling_Ops = {
	[eDrillingOps.Department]: '部门',
	[eDrillingOps.User]: '用户',
} as const;
/// 维度筛选
export enum eDimensionFilterOps {
	All = 0,
	IN = 1,
	LIKE = 2,
}
export const eDimensionFilter_Ops = {
	[eDimensionFilterOps.All]: '=',
	[eDimensionFilterOps.IN]: 'IN',
	[eDimensionFilterOps.LIKE]: 'LIKE',
} as const;